RHEL 6 : qemu-kvm (Unpatched Vulnerability)

critical Nessus Plugin ID 198718

Synopsis

The remote Red Hat 6 host is affected by multiple vulnerabilities that will not be patched.

Description

The remote Redhat Enterprise Linux 6 host has one or more packages installed that are affected by multiple vulnerabilities that have been acknowledged by the vendor but will not be patched.

- QEMU: net: ignore packets with large size (CVE-2018-17963)

- Buffer overflow in the send_control_msg function in hw/char/virtio-serial-bus.c in QEMU before 2.4.0 allows guest users to cause a denial of service (QEMU process crash) via a crafted virtio control message.
(CVE-2015-5745)

- The ehci_process_itd function in hw/usb/hcd-ehci.c in QEMU allows local guest OS administrators to cause a denial of service (infinite loop and CPU consumption) via a circular isochronous transfer descriptor (iTD) list. (CVE-2015-8558)

Note that Nessus has not tested for these issues but has instead relied on the package manager's report that the package is installed.

Solution

The vendor has acknowledged the vulnerabilities but no solution has been provided. Refer to the vendor for remediation guidance.

Plugin Details

Severity: Critical

ID: 198718

File Name: redhat_unpatched_qemu-kvm-rhel6.nasl

Version: 1.2

Type: local

Agent: unix

Published: 6/3/2024

Updated: 7/12/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2018-17963

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:virtio-win, p-cpe:/a:redhat:enterprise_linux:qemu-kvm-rhev, cpe:/o:redhat:enterprise_linux:6, p-cpe:/a:redhat:enterprise_linux:qemu-kvm

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 8/6/2015

Reference Information

CVE: CVE-2015-5745, CVE-2015-8558, CVE-2016-10155, CVE-2016-2198, CVE-2016-2858, CVE-2016-4037, CVE-2016-6834, CVE-2016-6888, CVE-2016-8576, CVE-2016-8909, CVE-2016-9101, CVE-2016-9907, CVE-2016-9911, CVE-2016-9923, CVE-2017-10806, CVE-2017-18043, CVE-2017-5973, CVE-2017-6414, CVE-2017-9374, CVE-2017-9375, CVE-2018-12617, CVE-2018-17958, CVE-2018-17963, CVE-2020-13765

IAVB: 2020-B-0063-S